Subject: Re: bug#8492: 23.3; Time to use a different binding for completion?

From: Chong Yidong <[email-masked]>
Date: Sun, 24 Apr 2011 14:08:14 -0400

Stefan Monnier <[email-masked]> writes:

>> Is it therefore time to admit defeat and find an alternative binding for
>> completion functions, even if it’s an extra binding rather than simply a
>> different one?
>
> TAB can do completion if you (setq tab-always-indent 'complete).

I tried this out some time ago, but found it unsatisfactory.  The
problem was that I sometimes spuriously triggered completion when I only
intended to indent, because the current line happened to be correctly
indented.  It is often difficult to tell by eye whether a line is
already indented.

(Another related topic is that of binding TAB to lisp-complete-symbol in
read-expression-map; this was brought up on emacs-devel some time ago,
but the discussion petered out IIRC.)